List people
curl --request GET \
--url https://control.api.niadra.com/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://control.api.niadra.com/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control.api.niadra.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control.api.niadra.com/v1/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control.api.niadra.com/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control.api.niadra.com/v1/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control.api.niadra.com/v1/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"active": true,
"last_login_at": "2026-09-22T11:02:00Z",
"totp_uri": null,
"created_at": "2026-09-01T12:00:00Z",
"deactivated_at": null,
"password_set": true,
"sso": false,
"last_sso_login_at": null,
"second_factor_confirmed_at": "2026-09-02T09:15:00Z",
"recovery_codes_left": 9,
"invitation_expires_at": null,
"invitation": null,
"user_id": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b34",
"email": "ana@acme.example",
"roles": [
{
"role": "admin",
"space_id": null,
"source_ids": []
}
]
},
{
"active": true,
"last_login_at": null,
"totp_uri": null,
"created_at": "2026-09-01T12:00:00Z",
"deactivated_at": null,
"password_set": false,
"sso": false,
"last_sso_login_at": null,
"second_factor_confirmed_at": null,
"recovery_codes_left": 0,
"invitation_expires_at": "2026-10-01T12:00:00Z",
"invitation": null,
"user_id": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b36",
"email": "nina@acme.example",
"roles": [
{
"role": "review",
"space_id": "0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23",
"source_ids": []
}
]
}
]Control: people and roles
List people
The Console people of the tenant, with roles, how they sign in and the second factor.
GET
/
v1
/
users
List people
curl --request GET \
--url https://control.api.niadra.com/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://control.api.niadra.com/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control.api.niadra.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control.api.niadra.com/v1/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control.api.niadra.com/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control.api.niadra.com/v1/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control.api.niadra.com/v1/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"active": true,
"last_login_at": "2026-09-22T11:02:00Z",
"totp_uri": null,
"created_at": "2026-09-01T12:00:00Z",
"deactivated_at": null,
"password_set": true,
"sso": false,
"last_sso_login_at": null,
"second_factor_confirmed_at": "2026-09-02T09:15:00Z",
"recovery_codes_left": 9,
"invitation_expires_at": null,
"invitation": null,
"user_id": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b34",
"email": "ana@acme.example",
"roles": [
{
"role": "admin",
"space_id": null,
"source_ids": []
}
]
},
{
"active": true,
"last_login_at": null,
"totp_uri": null,
"created_at": "2026-09-01T12:00:00Z",
"deactivated_at": null,
"password_set": false,
"sso": false,
"last_sso_login_at": null,
"second_factor_confirmed_at": null,
"recovery_codes_left": 0,
"invitation_expires_at": "2026-10-01T12:00:00Z",
"invitation": null,
"user_id": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b36",
"email": "nina@acme.example",
"roles": [
{
"role": "review",
"space_id": "0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23",
"source_ids": []
}
]
}
]Authorizations
Response
200 - application/json
The people of the tenant.

